## wev 1.0.0

=== Makefile ===
WAYLAND_PROTOCOLS=$(shell pkg-config --variable=pkgdatadir wayland-protocols)
WAYLAND_SCANNER=$(shell pkg-config --variable=wayland_scanner wayland-scanner)
SCDOC=$(shell pkg-config --variable=scdoc scdoc)
LIBS=\
	 $(shell pkg-config --cflags --libs wayland-client) \
	 $(shell pkg-config --cflags --libs xkbcommon)

xdg-shell-protocol.h:
	$(WAYLAND_SCANNER) client-header \
		$(WAYLAND_PROTOCOLS)/stable/xdg-shell/xdg-shell.xml $@

xdg-shell-protocol.c: xdg-shell-protocol.h
	$(WAYLAND_SCANNER) private-code \
		$(WAYLAND_PROTOCOLS)/stable/xdg-shell/xdg-shell.xml $@

wev: wev.c shm.c xdg-shell-protocol.h xdg-shell-protocol.c
	$(CC) $(CFLAGS) \
		-g -std=c11 -I. \
		-o wev wev.c shm.c xdg-shell-protocol.c \
		$(LIBS) -lrt

wev.1: wev.1.scd
	$(SCDOC) < wev.1.scd > wev.1

all: wev wev.1

PREFIX?=/usr/local
BINDIR?=$(PREFIX)/bin
SHAREDIR?=$(PREFIX)/share
MANDIR?=$(SHAREDIR)/man
DESTDIR?=

install: wev
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m755 wev $(DESTDIR)$(BINDIR)/wev
	install -m644 wev.1 $(DESTDIR)$(MANDIR)/man1/wev.1

clean:
	rm -f wev wev.1 xdg-shell-protocol.h xdg-shell-protocol.c

.DEFAULT_GOAL=all
.PHONY: all install clean

=== debian/changelog ===
wev (1.0.0-2) unstable; urgency=medium

  * Source only upload as-is.

 -- Birger Schacht <birger@rantanplan.org>  Fri, 10 Apr 2020 15:17:05 +0200

wev (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #954841)

 -- Birger Schacht <birger@rantanplan.org>  Mon, 23 Mar 2020 21:44:26 +0100

=== debian/control ===
Source: wev
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@rantanplan.org>
Build-Depends: debhelper-compat (= 12),
               libwayland-dev,
               libxkbcommon-dev,
               pkgconf,
               scdoc,
               wayland-protocols
Standards-Version: 4.5.0
Homepage: https://git.sr.ht/~sircmpwn/wev
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/wev.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wev

Package: wev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool for debugging events on a Wayland window
 tool for debugging events on a Wayland window, analogous to the X11 tool xev

## wev 1.1.0

=== Makefile ===
--- 
+++ 
@@ -13,10 +13,18 @@
 	$(WAYLAND_SCANNER) private-code \
 		$(WAYLAND_PROTOCOLS)/stable/xdg-shell/xdg-shell.xml $@
 
-wev: wev.c shm.c xdg-shell-protocol.h xdg-shell-protocol.c
+wayland-tablet-protocol.h:
+	$(WAYLAND_SCANNER) client-header \
+		$(WAYLAND_PROTOCOLS)/stable/tablet/tablet-v2.xml $@
+
+wayland-tablet-protocol.c: wayland-tablet-protocol.h
+	$(WAYLAND_SCANNER) private-code \
+		$(WAYLAND_PROTOCOLS)/stable/tablet/tablet-v2.xml $@
+
+wev: wev.c shm.c xdg-shell-protocol.c wayland-tablet-protocol.c
 	$(CC) $(CFLAGS) \
 		-g -std=c11 -I. \
-		-o wev wev.c shm.c xdg-shell-protocol.c \
+		-o wev wev.c shm.c xdg-shell-protocol.c wayland-tablet-protocol.c \
 		$(LIBS) -lrt
 
 wev.1: wev.1.scd
@@ -37,7 +45,7 @@
 	install -m644 wev.1 $(DESTDIR)$(MANDIR)/man1/wev.1
 
 clean:
-	rm -f wev wev.1 xdg-shell-protocol.h xdg-shell-protocol.c
+	rm -f wev wev.1 xdg-shell-protocol.h xdg-shell-protocol.c wayland-tablet-protocol.h wayland-tablet-protocol.c
 
 .DEFAULT_GOAL=all
 .PHONY: all install clean

=== debian/changelog ===
wev (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Drop pristine-tar option from debian/gbp.conf

 -- Birger Schacht <birger@debian.org>  Mon, 25 Aug 2025 16:17:38 +0200

wev (1.0.0-3) unstable; urgency=medium

  * Use patch to make pkg-config substitutable (Closes: #1063018)
  * d/control:
   + Update debhelper-compat to 13
   + Update uploader
   + Bump standards version
  * d/copyright: update years
  * Update upstream metadata

 -- Birger Schacht <birger@debian.org>  Mon, 05 Feb 2024 10:39:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Birger Schacht <birger@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libwayland-dev,
                libxkbcommon-dev,
                pkgconf,
                scdoc,
                wayland-protocols
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~sircmpwn/wev
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/wev.git

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4
https://git.sr.ht/~sircmpwn/wev/refs /~sircmpwn/wev/archive/(.+)\.tar\.gz
